| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.NV.DepthBufferFloat

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the NV_depth_buffer_float extension, see http://www.opengl.org/registry/specs/NV/NV_depth_buffer_float.txt.
Synopsis

glDepthRanged :: GLdouble -> GLdouble -> IO ()
glClearDepthd :: GLdouble -> IO ()
glDepthBoundsd :: GLdouble -> GLdouble -> IO ()
gl_DEPTH_COMPONENT32F :: GLenum
gl_DEPTH32F_STENCIL8 :: GLenum
gl_FLOAT_32_UNSIGNED_INT_24_8_REV :: GLenum
gl_DEPTH_BUFFER_FLOAT_MODE :: GLenum

Functions

glDepthRanged :: GLdouble -> GLdouble -> IO () | Source

glClearDepthd :: GLdouble -> IO () | Source

glDepthBoundsd :: GLdouble -> GLdouble -> IO () | Source

Tokens

gl_DEPTH_COMPONENT32F :: GLenum | Source

gl_DEPTH32F_STENCIL8 :: GLenum | Source

gl_FLOAT_32_UNSIGNED_INT_24_8_REV :: GLenum | Source

gl_DEPTH_BUFFER_FLOAT_MODE :: GLenum | Source

Produced by Haddock version 2.4.2